# PCASMSetUseInPlace

Tells the system to destroy the matrix after setup is done.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCASMSetUseInPlace(PC pc)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_asm_in_place -Activates in-place factorization

### Note

PCASMSetUseInplace() can only be used with the KSP method KSPPREONLY, and when the original matrix is not required during the Solve process. This destroys the matrix, early thus, saving on memory usage.

### Keywords

PC, set, factorization, direct, inplace, in-place, ASM

### See Also

PCFactorSetUseInPlace()

Level:intermediate
Location: src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages